package controller

import (
	"context"
	"github.com/gogf/gf/v2/frame/g"
	"go-gpt/api/v1"
)

var (
	Hello = cHello{}
)

type cHello struct{}

func (c *cHello) Hello(ctx context.Context, req *v1.HelloReq) (res *v1.HelloRes, err error) {
	re := g.RequestFromCtx(ctx)
	re.Response.WriteJsonExit(g.Map{
		"status": 200,
		"data":   "测试",
		"msg":    "",
	})
	return
}
